Autor Téma: nepodporované instrukce ASM  (Přečteno 6251 krát)

Offline Morrison

  • Hrdina
  • ****
  • Příspěvků: 278
  • Karma: 12
    • Verze Delphi: D5, XE2
Re:nepodporované instrukce ASM
« Odpověď #15 kdy: 04-10-2019, 18:42:01 »
Už jsem to tu před časem vysvětloval. Důvodem je především snadná instalace D5 nevyžadující on-line autentifikaci. Vývojové prostředí totiž instalujeme na všechny koncové počítače (pod zaheslovaným účtem, takže právně by to mělo být OK, což nám kdysi potvrdil i tehdejší Borland). Je to proto, abychom byli schopni ladit i na místě nebo přes dálkovou správu.
nil

Offline pepak

  • Guru
  • *****
  • Příspěvků: 1446
  • Karma: 34
    • Pepak.net
Re:nepodporované instrukce ASM
« Odpověď #16 kdy: 04-10-2019, 18:45:54 »
A mohu se zeptat proc ne aspon D2007? Migrace D5 - D2007 je fakt primitivni, je to posledni neunicode verze a v podstate je to rekompilace. A ten posun je fakt znacny. A jelikoz mate XE2, tak mate i D2007.

Opravdu mne to zajima.
Tak třeba pro mě by to byla cena a/nebo dostupnost používaných komponent.

Plus tedy musím říct, že ten posun vidím trochu jako problematický - zase tolik zásadních zlepšení v jazyku a prostředí nevidím (z mého pohledu bych jako nepochybný přínos viděl akorát direktivy $IF, $MESSAGE a $REGION a podporu pro SOAP, sice dost hroznou [a prakticky beze změn nejméně do Delphi 10 Seattle], ale aspoň nějakou; všechno ostatní jsou mírná vylepšení, která bych třeba uvítal, ale nepředstavují pro mě kvalitativní změnu) a naopak vidím poměrně zásadní nedostatky třeba v rychlosti a stabilitě IDE. Plus samozřejmě všudypřítomné "if it ain't broke, don't fix it". Pokud bych byl v situaci, že mi někdo dá zadarmo Delphi i komponenty, tak bych přechod vážně zvažoval, ale za jiných okolností si dovedu docela dobře představit, že zůstanu u Delphi 5

Offline Slappy

  • Plnoletý
  • ***
  • Příspěvků: 188
  • Karma: 11
  • Slappy
    • Verze Delphi: 10.2 Tokyo + Vsetky :)
    • unSigned
Re:nepodporované instrukce ASM
« Odpověď #17 kdy: 05-10-2019, 05:58:40 »
A mohu se zeptat proc ne aspon D2007? Migrace D5 - D2007 je fakt primitivni, je to posledni neunicode verze a v podstate je to rekompilace. A ten posun je fakt znacny. A jelikoz mate XE2, tak mate i D2007.

Opravdu mne to zajima.
Tak třeba pro mě by to byla cena a/nebo dostupnost používaných komponent.

Plus tedy musím říct, že ten posun vidím trochu jako problematický - zase tolik zásadních zlepšení v jazyku a prostředí nevidím (z mého pohledu bych jako nepochybný přínos viděl akorát direktivy $IF, $MESSAGE a $REGION a podporu pro SOAP, sice dost hroznou [a prakticky beze změn nejméně do Delphi 10 Seattle], ale aspoň nějakou; všechno ostatní jsou mírná vylepšení, která bych třeba uvítal, ale nepředstavují pro mě kvalitativní změnu) a naopak vidím poměrně zásadní nedostatky třeba v rychlosti a stabilitě IDE. Plus samozřejmě všudypřítomné "if it ain't broke, don't fix it". Pokud bych byl v situaci, že mi někdo dá zadarmo Delphi i komponenty, tak bych přechod vážně zvažoval, ale za jiných okolností si dovedu docela dobře představit, že zůstanu u Delphi 5

Ja odporucam Delphi 7 - je to najlepsie IDE (uplne celkovo za tie roky). Zacinal som na nom a mozem povedat, ze 99% veci funguje. Je male, rychle, bezproblemove a este aj doteraz sa pouziva a je pren mnozstvo komponentov.

Neskor som potreboval Unicode, tak som presiel na XE8, oproti D7 je pomalsie, zasekava sa a podobne, ale zase ma tu vyhodu, ze pren existuje Dark Theme co setri oci (co je pre programatorov priorita #1).
Moje projekty: http://www.unsigned.sk Tvorba cool dizajnovych instalatorov v NSIS a Inno Setup. Rozsirenie pre Visual Studio a RAD Studio pre tvorbu NSIS a Inno Setup instalatorov.

Offline Daniel_Andrascik

  • Hrdina
  • ****
  • Příspěvků: 463
  • Karma: 20
    • Verze Delphi: D2007, XE3
Re:nepodporované instrukce ASM
« Odpověď #18 kdy: 05-10-2019, 17:36:06 »
Ja odporucam Delphi 7 - je to najlepsie IDE (uplne celkovo za tie roky). Zacinal som na nom a mozem povedat, ze 99% veci funguje. Je male, rychle, bezproblemove a este aj doteraz sa pouziva a je pren mnozstvo komponentov.

Neskor som potreboval Unicode, tak som presiel na XE8, oproti D7 je pomalsie, zasekava sa a podobne, ale zase ma tu vyhodu, ze pren existuje Dark Theme co setri oci (co je pre programatorov priorita #1).

A to este musim povedat ze XE8 bolo pre mna este ztych vsetkyh XEx a 10.x najsviznejsie, vsetky neskorsie az po 10.2 vratane mi uz zasekavaju aj obycajne skrolovanie i v tom najmansom pas  subore... Posledne 10.3 som zatial este neskusal.

Ale D7 by som naozaj nikomu neodporucal. Zacinal som s D5 ktratku chvilu, potom dlho D7. Ano nebolo to zle a potom najviac som robil na D2007 - posledna neunicode verzia - pretoze sa mi nechcelo vsetko migrovat a mal som ine dolezitejsie veci na hlave. Asi mesiac som si zvykal na ten novy vizual oproti D7 a potom sa mi v D2007 robilo velmi dobre. Cize to najnizsie IDE ktore by som odporucil tak by bolo D2007 pre tych co sa boja Unicode, v opacnom pripade by som urcite odporucil aspon XE8 a vyssie...

Offline Radek Červinka

  • Administrátoři
  • Padawan
  • *****
  • Příspěvků: 2391
  • Karma: 103
    • Verze Delphi: D5,D2007, DXE, DXE2 + 2 poslední (Tokyo)
    • O Delphi v češtině
Re:nepodporované instrukce ASM
« Odpověď #19 kdy: 06-10-2019, 23:08:50 »
...
zadarmo Delphi i komponenty, tak bych přechod vážně zvažoval, ale za jiných okolností si dovedu docela dobře představit, že zůstanu u Delphi 5

Jelikož D5 nepodporuje CommCtrl z Windows XP (a vsech naslednych win), bez ruznych patchu a pouziti FastMM je to pro normalni pouziti spise usmevne (dlouho jsem je musel podporovat) a slusne vypadajici aplikace z toho nevypne bez dalsich komponent (pricemz D5 uz nikdo davno nepodporuje).

To uz spise D7, ale stejne D2007 obsahuje zasadni zmeny v RTL, VCL a hlavne debuggeru (mel jsem o tom dvoudilny clanek na delphi.cz), bez kterych bych si ukousal spise ruce (a ta licence se da taky resit, u pozdejsich verzi uz hure).

Embarcadero MVP - Czech republic